### Constructor

# Gdk Cursor new_from_texture

#### Declaration [src]

    GdkCursor*
    gdk_cursor_new_from_texture (
      GdkTexture* texture,
      int hotspot_x,
      int hotspot_y,
      GdkCursor* fallback
    )

#### Description [src]

Creates a new cursor from a `GdkTexture`.

#### Parameters

`texture` | `GdkTexture`
| The texture providing the pixel data.
| The data is owned by the caller of the function.
`hotspot_x` | `int`
| The horizontal offset of the “hotspot” of the cursor.
`hotspot_y` | `int`
| The vertical offset of the “hotspot” of the cursor.
`fallback` | `GdkCursor`
| The `GdkCursor` to fall back to when this one cannot be supported.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GdkCursor`
| A new `GdkCursor`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.